import Dialog, { DialogResponse } from "./dialog";

export default class Info {
	static async show(
		text: string,
		options?: Partial<{
			"icon-name": string;
			"no-wrap": true;
			"no-markup": true;
			ellipsize: true;
			title: string;
		}>
	): Promise<DialogResponse> {
		const dialog = new Dialog("info", { ...options, text });
		await dialog.show();
		return dialog.getAnswer();
	}
}
